## localechooser 2.03ubuntu3

=== Makefile ===
all: debian/languagelist.data debian/short-tmp/shortlists debian/templates check-scripts check-data check-utf8

LIST     = languagelist

debian/languagelist.data: $(LIST)
	LC_COLLATE=C ./mklanguagelist.data $(LIST) debian/languagelist.data

debian/templates.base: debian/localechooser.templates-in debian/iso-3166.tab
	./mktemplates.continents debian/iso-3166.tab regionmap debian/templates.continents
	cat debian/localechooser.templates-in debian/templates.continents >debian/templates.base-in
	./mktemplates.base debian/templates.base-in debian/templates.base

debian/iso-codes:
	./get-iso-codes

debian/iso-3166.tab:
	./iso3166tab.py /usr/share/xml/iso-codes/iso_3166.xml >debian/iso-3166.tab

debian/templates: $(LIST) debian/templates.base debian/short-tmp/shortlists
	./mktemplates.shortlist
	./mktemplates.warnings $(LIST) debian/templates

debian/short-tmp/shortlists: debian/iso-codes
	./mkshort

check-scripts:
	if [ -x /bin/ash ] ; then SH=ash ; else SH=dash; fi ; \
	for s in finish-install debian/postinst languagemap localechooser ; do \
		$$SH -n $$s ; \
	done

check-utf8: $(LIST)
	iconv -f utf-8 -t unicode $(LIST) > /dev/null

check-data:
	# Check that the listed locale is supported, to make sure it will work.
	@for locale in `grep -v "^#" $(LIST) | cut -d\; -f6 | grep _` ; do \
		if grep -q "^$$locale " /usr/share/i18n/SUPPORTED ; then \
			: ; \
		else \
			echo "warning: locale $$locale not listed in /usr/share/i18n/SUPPORTED" ; \
		fi ; \
	done

.PHONY: demo
localechooser.templates: debian/templates
	grep -v '#' $^ > $@
demo: localechooser.templates localechooser
	DEBIAN_FRONTEND=dialog DEBCONF_DEBUG=developer /usr/share/debconf/frontend ./localechooser

clean:
	$(RM) localechooser.templates debian/templates debian/templates.continents debian/templates.base-in debian/templates.base debian/languagelist.data debian/iso-3166.tab
	$(RM) -rf debian/short-tmp debian/iso-codes

=== debian/changelog ===
localechooser (2.03ubuntu3) intrepid; urgency=low

  * Install kbd rather than console-tools. Remove configuration file changes
    that: (a) modify a dpkg-handled conffile and so are policy violations;
    (b) are partly composed of workarounds for console-tools bugs not
    present in kbd; (c) are superseded by console-setup anyway.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Sep 2008 10:39:42 +0100

localechooser (2.03ubuntu2) intrepid; urgency=low

  * Fix preseeding of languages that only have country variants (e.g. zh_CN)
    in languagelist.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Jul 2008 10:51:02 +0100

localechooser (2.03ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add a localechooser-data package containing lists useful for packages
      that create automatic installation scripts.
    - Always support English, unless preseeded otherwise.
    - Drop fallbacks for Norwegian Bokmål and Nynorsk.
    - Simplify use of locale-gen using the new command-line argument
      facility in Ubuntu's locales package.
    - Add encoding field to languagelist file and use the full SUPPORTED
      file rather than SUPPORTED-short.
    - If the language question was already marked as seen and the answer
      didn't change, then don't recalculate the locale.
    - If OVERRIDE_SHOW_ALL_LANGUAGES is set in the environment, display all
      languages regardless of frontend.
    - Allow preseeding of debian-installer/language.
  * localechooser-data Breaks: system-config-kickstart (<< 2.5.20-0ubuntu17)
    due to languagelist format changes.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 Jun 2008 15:52:37 +0100

localechooser (2.03) unstable; urgency=low

  [ Frans Pop ]
  * Don't display additional locale selection if the default locale selection
    is not displayed because a locale has been preseeded. This is confusing,
    especially if the installer is started in expert mode from win32-loader.

  [ Colin Watson ]
  * Don't assume that /etc/lsb-release is valid shell (LP: #214861).

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Arabic (ar.po) by Ossama M. Khayat
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po) by Jurmey Rabgay(Bongop) (DIT,BHUTAN)
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Hebrew (he.po) by Lior Kaplan
  * Hungarian (hu.po) by SZERVÁC Attila
  * Indonesian (id.po) by Arief S Fitrianto
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Erdal Ronahi
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Marathi (mr.po) by Sampada
  * Norwegian Bokmål (nb.po) by Hans Fredrik Nordhaug
  * Dutch (nl.po) by Frans Pop
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Slovak (sk.po) by Ivan Masár
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Vietnamese (vi.po) by Clytie Siddall

 -- Otavio Salvador <otavio@debian.org>  Thu, 08 May 2008 13:18:29 -0300

localechooser (2.02) unstable; urgency=low

  * Split full country list into separate dialogs for continent and country
    to improve usability (old list was too long).
    - Use Choices-C for all country selections (shortlist and per continent).
    - Default country is taken from languagelist, not from templates.
    - Sort continents and countries for all languages.
  * Improve coding style and readability in various build scripts.
  * Rename templates that still use a languagechooser or countrychooser prefix
    to localechooser/*. Should not affect other components or preseeding.
  * Avoid unnecessary untranslated values because of PO file conflicts.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Dutch (nl.po) by Frans Pop
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Russian (ru.po) by Yuri Kozlov
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Frans Pop <fjp@debian.org>  Sat, 19 Apr 2008 22:10:15 +0200

localechooser (2.01) unstable; urgency=low

  [ Frans Pop ]
  * Use cdebconf's new column alignment feature; requires: cdebconf (0.129).
  * Drop dependency on ancient version of di-utils.
  * Testing for $TERM_FRAMEBUFFER is more reliable than testing the debconf
    parameter as there are more factors that determine whether we have a
    framebuffer or not. Requires rootskel (>= 1.61).
  * When not in UTF-8 mode, make sure that for the language list the Choices
    values are displayed and not the Choices-C values.
  * Remove Petter Reinholdtsen as Uploader with many thanks for his past
    contributions.

  [ Christian Perrier ]
  * Activate Marathi in languagelist.
  * Add MF (Saint-Martin) and BL (Saint-Barthélémy) to the Caribbean region.

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Gujarati (gu.po) by Kartik Mistry
  * Japanese (ja.po) by Kenshi Muto
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Marathi (mr.po)
  * Dutch (nl.po) by Frans Pop
  * Panjabi (pa.po) by Amanpreet Singh Brar
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov


=== debian/control ===
Source: localechooser
Section: debian-installer
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>, Frans Pop <fjp@debian.org>, Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>= 4.2)
Build-Depends-Indep: dash | ash, dpkg-dev (>= 1.9), locales, iso-codes (>= 0.21-1), intltool-debian (>= 0.30+20040212), po-debconf, python (>= 2.4)
XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/localechooser
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/localechooser/ubuntu

Package: localechooser
XC-Package-Type: udeb
Architecture: all
Depends: cdebconf-udeb (>= 0.129), iso-3166-udeb
XB-Installer-Menu-Item: 1000
Description: choose language/country/locale

Package: localechooser-data
Section: devel
Priority: optional
Architecture: all
Depends: iso-codes
Breaks: system-config-kickstart (<< 2.5.20-0ubuntu17)
Description: Lists of locales supported by the installer
 This package contains lists of languages, countries, and locales supported
 by the installer, for use by programs that create automatic installation
 scripts.

## localechooser 2.09

=== Makefile ===
--- 
+++ 
@@ -1,26 +1,29 @@
-all: debian/languagelist.data debian/short-tmp/shortlists debian/templates check-scripts check-data check-utf8
+all: debian/languagelist.data debian/SUPPORTED-short debian/short-tmp/shortlists debian/templates check-scripts check-data check-utf8
 
 LIST     = languagelist
 
 debian/languagelist.data: $(LIST)
 	LC_COLLATE=C ./mklanguagelist.data $(LIST) debian/languagelist.data
 
-debian/templates.base: debian/localechooser.templates-in debian/iso-3166.tab
-	./mktemplates.continents debian/iso-3166.tab regionmap debian/templates.continents
+debian/templates.base: debian/localechooser.templates-in debian/iso_3166.tab
+	./mktemplates.continents debian/iso_3166.tab regionmap debian/templates.continents
 	cat debian/localechooser.templates-in debian/templates.continents >debian/templates.base-in
 	./mktemplates.base debian/templates.base-in debian/templates.base
 
 debian/iso-codes:
 	./get-iso-codes
 
-debian/iso-3166.tab:
-	./iso3166tab.py /usr/share/xml/iso-codes/iso_3166.xml >debian/iso-3166.tab
+debian/iso_3166.tab:
+	isoquery -c | cut -f 1,4 | sort >debian/iso_3166.tab
 
 debian/templates: $(LIST) debian/templates.base debian/short-tmp/shortlists
 	./mktemplates.shortlist
 	./mktemplates.warnings $(LIST) debian/templates
 
-debian/short-tmp/shortlists: debian/iso-codes
+debian/SUPPORTED-short:
+	./get-SUPPORTED
+
+debian/short-tmp/shortlists: debian/iso_3166.tab debian/iso-codes
 	./mkshort
 
 check-scripts:
@@ -49,5 +52,5 @@
 	DEBIAN_FRONTEND=dialog DEBCONF_DEBUG=developer /usr/share/debconf/frontend ./localechooser
 
 clean:
-	$(RM) localechooser.templates debian/templates debian/templates.continents debian/templates.base-in debian/templates.base debian/languagelist.data debian/iso-3166.tab
+	$(RM) localechooser.templates debian/templates debian/templates.continents debian/templates.base-in debian/templates.base debian/languagelist.data SUPPORTED-short debian/iso_3166.tab
 	$(RM) -rf debian/short-tmp debian/iso-codes

=== debian/changelog ===
localechooser (2.09) unstable; urgency=low

  * Fix incorrect use of no longer existing variable.

 -- Frans Pop <fjp@debian.org>  Sat, 03 Jan 2009 16:37:28 +0000

localechooser (2.08) unstable; urgency=low

  * Use isoquery instead of a python script to generate iso_3166.tab.

 -- Frans Pop <fjp@debian.org>  Mon, 22 Sep 2008 12:15:09 +0200

localechooser (2.07) unstable; urgency=low

  [ Christian Perrier ]
  * Added messages about backup languages for Northern Sami
    (localechooser.templates-se_NO). Thanks to Børre Gaup.
  * Activate Irish after it completed sublevels 1 and 2
  * Activate Serbian after it completed sublevels 1 and 2
  * Reactivate Welsh after it completed sublevels 1 and 2

  [ Frans Pop ]
  * Deactivate Estonian.

  [ Updated translations ]
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Bosnian (bs.po) by Armin Besirovic
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po)
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Georgian (ka.po) by Aiet Kolkhi
  * Central Khmer (km.po) by KHOEM Sokhem
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Arangel Angov
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Serbian (sr.po) by Veselin Mijušković
  * Ukrainian (uk.po) by Borys Yanovych

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Sep 2008 22:14:40 -0300

localechooser (2.05) unstable; urgency=low

  [ Christian Perrier ]
  * Change commented entry for Serbian as part of the new language process
    The default country is "RS" (Serbia) and the default locale is sr_RS
    (cyrillic Serbian for Serbia)

  [ Samuel Thibault ]
  * Use display level 1 when framebuffer is not available and the terminal is
    not "serial" or "dumb".  This will enable localization on Braille devices.
    (Closes: #479208)

  [ Frans Pop ]
  * Fix build error because iso-codes no longer provides iso-3166.tab.
  * Various code cleanups and minor fixes/improvements.
  * Fix various regressions for languages that have a country code included
    in the language code. Basic reason is that the LANGUAGE variable now
    also includes the country specifier while before the switch to use
    Choices-C for language selection it did not.
  * Restructure preparations for asking the country shortlist question.
  * For languages where country selection would normally be skipped, allow
    country selection if the current country is different from the default
    (only relevant after going back or when re-running localechooser).
  * Update languagelist as Vietnamese does not have a .UTF-8 locale.
  * Include old changelogs from language/countrychooser in the source package
    and bring the copyright file in line with reality.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Greek, Modern (1453-) (el.po)
  * Esperanto (eo.po) by Felipe Castro
  * French (fr.po) by Christian Perrier
  * Hindi (hi.po) by Kumar Appaiah
  * Croatian (hr.po) by Josip Rodin
  * Kurdish (ku.po) by Erdal Ronahi
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)

 -- Frans Pop <fjp@debian.org>  Fri, 05 Sep 2008 21:47:32 +0200

localechooser (2.04) unstable; urgency=low

  [ Frans Pop ]
  * Avoid locale errors from perl in the post-base-installer script;
    also improve logging by and readability of the script.

  [ Piarres Beobide ]
  * Change translation of Basque from "Euskaraz" to "Euskara"

  [ Christian Perrier ]
  * Drop the now useless variable pointing to the iso_3166.tab file location
  * Drop the dependency on iso-codes-udeb
  * Drop useless versioned build dependency on iso-codes

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Esperanto (eo.po) by Serge Leblanc
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Italian (it.po) by Milo Casagrande
  * Romanian (ro.po) by Eddy Petrișor
  * Slovenian (sl.po) by Matej Kovacic
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Mert Dirik
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Kov Chai

 -- Christian Perrier <bubulle@debian.org>  Sat, 12 Jul 2008 15:24:31 +0200

=== debian/control ===
Source: localechooser
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>, Frans Pop <fjp@debian.org>, Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>= 4.2)
Build-Depends-Indep: dash | ash, dpkg-dev (>= 1.9), locales, intltool-debian (>= 0.30+20040212), po-debconf, iso-codes, isoquery
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/localechooser

Package: localechooser
XC-Package-Type: udeb
Architecture: all
Depends: cdebconf-udeb (>= 0.129)
XB-Installer-Menu-Item: 1000
Description: choose language/country/locale

=== debian/rules ===
#! /usr/bin/make -f

PACKAGE=localechooser

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	rm -rf debian/pobuild debian/iso-codes debian/short-tmp debian/locales debian/SUPPORTED-short
	rm -rf debian/locales debian/sort-tmp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install localechooser languagemap translation-check usr/bin
	mkdir -p debian/$(PACKAGE)/DEBIAN
	install -m0755 post-base-installer debian/$(PACKAGE)/usr/lib/post-base-installer.d/05localechooser
	install -m0755 finish-install debian/$(PACKAGE)/usr/lib/finish-install.d/05localechooser
	cat languagelist | grep -v "^#.*" | cut -d";" -f1,4- \
		>debian/$(PACKAGE)/usr/share/localechooser/languagelist
	chmod 0644 debian/$(PACKAGE)/usr/share/localechooser/languagelist
	gzip -c debian/languagelist.data \
		>debian/$(PACKAGE)/usr/share/localechooser/languagelist.data.gz
	chmod 0644 debian/$(PACKAGE)/usr/share/localechooser/languagelist.data.gz
	dh_installdirs etc
	# The following while we have no other way to get SUPPORTED
	# Should become useless when we will have it
	install -m644 debian/SUPPORTED-short debian/$(PACKAGE)/etc/SUPPORTED-short
	install -m644 debian/short-tmp/shortlists debian/$(PACKAGE)/etc/shortlists

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	# Sort countries and continents (including translations)
	# MUST be after dh_installdebconf
	./sort-templates
	cp debian/localechooser.isinstallable debian/localechooser/DEBIAN/isinstallable
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## localechooser 2.12ubuntu3hedley2

=== debian/control ===
Source: localechooser
Section: debian-installer
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>, Frans Pop <fjp@debian.org>, Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>= 4.2)
Build-Depends-Indep: dash | ash, dpkg-dev (>= 1.9), locales, intltool-debian (>= 0.30+20040212), po-debconf, iso-codes, isoquery
XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/localechooser
Vcs-Bzr: lp:~hedley-team/hedley/localechooser

Package: localechooser
XC-Package-Type: udeb
Architecture: all
Depends: cdebconf-udeb (>= 0.129)
XB-Installer-Menu-Item: 1000
Description: choose language/country/locale

Package: localechooser-data
Section: devel
Priority: optional
Architecture: all
Depends: iso-codes
Breaks: system-config-kickstart (<< 2.5.20-0ubuntu17)
Description: Lists of locales supported by the installer
 This package contains lists of languages, countries, and locales supported
 by the installer, for use by programs that create automatic installation
 scripts.

## localechooser 2.34

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-all: debian/languagelist.data debian/SUPPORTED-short debian/short-tmp/shortlists debian/templates check-scripts check-data check-utf8
+all: check-scripts debian/languagelist.data debian/SUPPORTED-short debian/short-tmp/shortlists debian/templates check-data check-utf8
 
 LIST     = languagelist
 
@@ -27,8 +27,10 @@
 	./mkshort
 
 check-scripts:
+	@set -e ; \
 	if [ -x /bin/ash ] ; then SH=ash ; else SH=dash; fi ; \
-	for s in finish-install debian/postinst languagemap localechooser ; do \
+	for s in finish-install.d/05localechooser debian/postinst languagemap localechooser ; do \
+		echo "Checking syntax of $$s" ; \
 		$$SH -n $$s ; \
 	done
 
@@ -52,5 +54,5 @@
 	DEBIAN_FRONTEND=dialog DEBCONF_DEBUG=developer /usr/share/debconf/frontend ./localechooser
 
 clean:
-	$(RM) localechooser.templates debian/templates debian/templates.continents debian/templates.base-in debian/templates.base debian/languagelist.data SUPPORTED-short debian/iso_3166.tab
+	$(RM) localechooser.templates debian/templates debian/templates.continents debian/templates.base-in debian/templates.base debian/templates.tmp debian/languagelist.data SUPPORTED-short debian/iso_3166.tab
 	$(RM) -rf debian/short-tmp debian/iso-codes

=== debian/changelog ===
localechooser (2.34) unstable; urgency=low

  [ Updated translations ]
  * Russian (ru.po) by Yuri Kozlov

 -- Christian Perrier <bubulle@debian.org>  Thu, 30 Dec 2010 12:03:28 +0100

localechooser (2.33) unstable; urgency=low

  [ Updated translations ]
  * Northern Sami (se.po) by Børre Gaup

 -- Otavio Salvador <otavio@debian.org>  Fri, 24 Dec 2010 19:56:59 -0200

localechooser (2.32) unstable; urgency=low

  * Correct default country for Sinhala to Sri Lanka. Closes: #605729

 -- Christian Perrier <bubulle@debian.org>  Sat, 04 Dec 2010 07:43:41 +0100

localechooser (2.31) unstable; urgency=low

  * Activate Sinhala
  * Activate Lao

 -- Christian Perrier <bubulle@debian.org>  Mon, 29 Nov 2010 19:17:22 +0100

localechooser (2.30) unstable; urgency=low

  [ Christian Perrier ]
  * Activate Icelandic

  [ Updated translations ]
  * Bengali (bn.po) by Israt Jahan
  * Catalan (ca.po) by Jordi Mallach
  * Dutch (nl.po) by Eric Spreen

 -- Otavio Salvador <otavio@debian.org>  Fri, 12 Nov 2010 17:49:57 -0200

localechooser (2.29) unstable; urgency=low

  * De-activate Serbian (Latin) which shouldn't have been activated.
    as the translation is not working, yet.

 -- Christian Perrier <bubulle@debian.org>  Mon, 18 Oct 2010 18:12:14 +0200

localechooser (2.28) unstable; urgency=low

  [ Christian Perrier ]
  * Add commented entry for Serbian (Latin)
  * Re-activate Serbian and name it "Serbian (Cyrillic)"
  * Activate Telugu

  [ Jeremie Koenig ]
  * Set display level 3 for the Hurd console (closes: #592690).

  [ Aurelien Jarno ]
  * Set display level 1 for the GNU/kFreeBSD console.

  [ Updated translations ]
  * Asturian (ast.po) by maacub
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Armin Beširović
  * Danish (da.po) by Jacob Sparre Andersen
  * Persian (fa.po) by Ebrahim Byagowi
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Serbian (sr.po) by Karolina Kalic
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 17 Aug 2010 21:29:02 +0200

localechooser (2.27) unstable; urgency=low

  * Activate Persian language
  * De-activate Wolof, Serbian, Welsh (too incomplete translations)

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Asturian (ast.po) by astur
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bosnian (bs.po) by Armin Beširović
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Jacob Sparre Andersen
  * German (de.po) by Holger Wansing
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Persian (fa.po) by acathur
  * Galician (gl.po) by Jorge Barreiro
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Kumar Appaiah
  * Croatian (hr.po) by Josip Rodin
  * Hungarian (hu.po) by SZERVÁC Attila
  * Indonesian (id.po) by Arief S Fitrianto
  * Georgian (ka.po) by Aiet Kolkhi
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Central Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Arangel Angov
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Nepali (ne.po)
  * Norwegian Nynorsk (nn.po) by Eirik U. Birkeland
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by ioan-eugen stan
  * Tamil (ta.po) by Dr,T,Vasudevan
  * Tagalog (tl.po) by Eric Pareja
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Simplified Chinese (zh_CN.po) by 苏运强

 -- Christian Perrier <bubulle@debian.org>  Sun, 11 Jul 2010 14:07:16 +0200

localechooser (2.26) unstable; urgency=low

  * Update isinstallable script for new auto-install framework.
    Requires preseed (>= 1.45).

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Danish (da.po) by Anders Jenbo
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Hebrew (he.po) by Omer Zak
  * Marathi (mr.po) by Sampada
  * Panjabi (pa.po) by A S Alam
  * Slovenian (sl.po) by Vanja Cvelbar
  * Albanian (sq.po) by Elian Myftiu

 -- Frans Pop <fjp@debian.org>  Wed, 24 Mar 2010 16:36:10 +0100

localechooser (2.25) unstable; urgency=low

  [ Frans Pop ]
  * Make state engine slightly more robust.

  [ Colin Watson ]
  * Remove debian/templates.tmp on clean.

  [ Christian Perrier ]
  * Enable Thai for the text (framebuffer) installer

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Feb 2010 17:16:07 +0100

localechooser (2.24) unstable; urgency=low

  * Use Norwegian Bokmaal country names if no iso-codes translation is
    available for Northern Sami.
  * Correct display of translation for two country selection strings.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Asturian (ast.po) by marquinos
  * Greek, Modern (1453-) (el.po)
  * Estonian (et.po) by Mattias Põldaru
  * Italian (it.po) by Milo Casagrande
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Slovak (sk.po) by Ivan Masár
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Frans Pop <fjp@debian.org>  Fri, 29 Jan 2010 23:36:54 +0100

localechooser (2.23) unstable; urgency=low

  * Also allow selection of a "preferred locale", but only at medium priority,
    when the user selects a combination of language and country for which a
    locale is defined if multiple UTF-8 locales exist for the language.
    Closes: #563861.
  * Change priority of questions re. selection of additional locales to low.
    The selection of "raw" locales requires significant understanding of their
    meaning and has become less relevant than it used to be.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Holger Wansing
  * Esperanto (eo.po) by Felipe Castro
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Japanese (ja.po) by Kenshi Muto


=== debian/control ===
Source: localechooser
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>, Frans Pop <fjp@debian.org>, 
Build-Depends: debhelper (>= 7.3.10), dpkg-dev (>= 1.9), locales, intltool-debian (>= 0.30+20040212), po-debconf, iso-codes, isoquery
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/localechooser

Package: localechooser
XC-Package-Type: udeb
Architecture: any
Depends: cdebconf-udeb (>= 0.129)
XB-Installer-Menu-Item: ${menuitemnum}
Description: choose language/country/locale

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

PACKAGE=localechooser

ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)

ifneq ($(ARCH),s390)
MENUITEMNUM=1000
else # run after network-console for s390 
MENUITEMNUM=2110
endif

override_dh_clean:
	rm -rf debian/pobuild debian/iso-codes debian/short-tmp
	rm -rf debian/locales debian/sort-tmp
	dh_clean

override_dh_install:
	dh_install
	cat languagelist | grep -v "^#.*" | cut -d";" -f1,4- \
		>debian/$(PACKAGE)/usr/share/localechooser/languagelist
	chmod 0644 debian/$(PACKAGE)/usr/share/localechooser/languagelist
	gzip -c debian/languagelist.data \
		>debian/$(PACKAGE)/usr/share/localechooser/languagelist.data.gz
	chmod 0644 debian/$(PACKAGE)/usr/share/localechooser/languagelist.data.gz

override_dh_installdebconf:
	dh_installdebconf
	# Sort countries and continents (including translations)
	# MUST be after dh_installdebconf
	./sort-templates

override_dh_gencontrol:
	dh_gencontrol -- -Vmenuitemnum=$(MENUITEMNUM)

## localechooser 2.34ubuntu4+5.0trisquel2

=== debian/changelog ===
localechooser (2.34ubuntu4+5.0trisquel2) dagda; urgency=low

  * Added quz_PE and aym_PE locales

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 19 Nov 2011 23:04:11 +0000

localechooser (2.34ubuntu4) natty; urgency=low

  * Cancel any locale preseeding if the user changes the language
    (LP: #741304).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 10 Apr 2011 21:59:41 +0100

localechooser (2.34ubuntu3) natty; urgency=low

  * Filter out commented lines from /usr/share/i18n/SUPPORTED (LP: #465120).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Mar 2011 16:36:38 +0000

localechooser (2.34ubuntu2) natty; urgency=low

  * Fix architecture-dependent-only builds.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Mar 2011 16:29:07 +0000

localechooser (2.34ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add a localechooser-data package containing lists useful for packages
      that create automatic installation scripts.
    - Always support English, unless preseeded otherwise.
    - Drop fallbacks for Norwegian Bokmål and Nynorsk.
    - Simplify use of locale-gen using the new command-line argument
      facility in Ubuntu's locales package.
    - Add encoding field to languagelist file and use the full SUPPORTED
      file rather than SUPPORTED-short.
    - If the language question was already marked as seen and the answer
      didn't change, then don't recalculate the locale.
    - If OVERRIDE_SHOW_ALL_LANGUAGES is set in the environment, display all
      languages regardless of frontend.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Mar 2011 15:33:13 +0000

localechooser (2.12ubuntu3) lucid; urgency=low

  * Make sure /target/etc/default exists before creating
    /target/etc/default/locale (LP: #491198).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 19 Jan 2010 18:17:03 +0000

localechooser (2.12ubuntu2) karmic; urgency=low

  * mktemplates.shortlist sometimes seems to hang in "sed -e 's/,/\\\\,/'"
    when running in a UTF-8 locale. Work around this by forcing LC_ALL=C,
    which we need to be able to operate in anyway for buildds.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 25 Jun 2009 20:20:52 +0100

localechooser (2.12ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add a localechooser-data package containing lists useful for packages
      that create automatic installation scripts.
    - Always support English, unless preseeded otherwise.
    - Drop fallbacks for Norwegian Bokmål and Nynorsk.
    - Simplify use of locale-gen using the new command-line argument
      facility in Ubuntu's locales package.
    - Add encoding field to languagelist file and use the full SUPPORTED
      file rather than SUPPORTED-short.
    - If the language question was already marked as seen and the answer
      didn't change, then don't recalculate the locale.
    - If OVERRIDE_SHOW_ALL_LANGUAGES is set in the environment, display all
      languages regardless of frontend.
    - Allow preseeding of debian-installer/language.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 25 Jun 2009 01:09:45 +0100

localechooser (2.11ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add a localechooser-data package containing lists useful for packages
      that create automatic installation scripts.
    - Always support English, unless preseeded otherwise.
    - Drop fallbacks for Norwegian Bokmål and Nynorsk.
    - Simplify use of locale-gen using the new command-line argument
      facility in Ubuntu's locales package.
    - Add encoding field to languagelist file and use the full SUPPORTED
      file rather than SUPPORTED-short.
    - If the language question was already marked as seen and the answer
      didn't change, then don't recalculate the locale.
    - If OVERRIDE_SHOW_ALL_LANGUAGES is set in the environment, display all
      languages regardless of frontend.
    - Allow preseeding of debian-installer/language.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 05 May 2009 10:14:04 +0100

localechooser (2.09ubuntu2) jaunty; urgency=low

  * Don't add en_US.UTF-8 to the supported language pack set if the locale
    is set to C; this is probably fine by people using the C locale, and it
    means that lowmem installations avoid installing language-pack-en and
    thereby calling localedef lots of times.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Feb 2009 04:34:00 +0000

localechooser (2.09ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add a localechooser-data package containing lists useful for packages
      that create automatic installation scripts.
    - Always support English, unless preseeded otherwise.
    - Drop fallbacks for Norwegian Bokmål and Nynorsk.
    - Simplify use of locale-gen using the new command-line argument
      facility in Ubuntu's locales package.
    - Add encoding field to languagelist file and use the full SUPPORTED
      file rather than SUPPORTED-short.
    - If the language question was already marked as seen and the answer
      didn't change, then don't recalculate the locale.
    - If OVERRIDE_SHOW_ALL_LANGUAGES is set in the environment, display all
      languages regardless of frontend.
    - Allow preseeding of debian-installer/language.
    - Install kbd rather than console-tools. Remove configuration file
      changes that: (a) modify a dpkg-handled conffile and so are policy
      violations; (b) are partly composed of workarounds for console-tools
      bugs not present in kbd; (c) are superseded by console-setup anyway.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Jan 2009 11:43:23 +0000

localechooser (2.08ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add a localechooser-data package containing lists useful for packages
      that create automatic installation scripts.
    - Always support English, unless preseeded otherwise.


=== debian/control ===
Source: localechooser
Section: debian-installer
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>, Frans Pop <fjp@debian.org>, 
Build-Depends: debhelper (>= 7.3.10), dpkg-dev (>= 1.9), locales, intltool-debian (>= 0.30+20040212), po-debconf, iso-codes, isoquery
XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/localechooser
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/localechooser/ubuntu

Package: localechooser
XC-Package-Type: udeb
Architecture: any
Depends: cdebconf-udeb (>= 0.129)
XB-Installer-Menu-Item: ${menuitemnum}
Description: choose language/country/locale

Package: localechooser-data
Section: devel
Priority: optional
Architecture: all
Depends: iso-codes
Breaks: system-config-kickstart (<< 2.5.20-0ubuntu17)
Description: Lists of locales supported by the installer
 This package contains lists of languages, countries, and locales supported
 by the installer, for use by programs that create automatic installation
 scripts.

## localechooser 2.39

=== debian/changelog ===
localechooser (2.39) unstable; urgency=low

  [ Christian Perrier ]
  * Add commented entry for Ossetian

  [ Aurelien Jarno ]
  * Add support for s390x.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * German (de.po) by Holger Wansing
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Kumar Appaiah
  * Italian (it.po) by Milo Casagrande
  * Kannada (kn.po) by vignesh prabhu
  * Korean (ko.po) by Changwoo Ryu
  * Polish (pl.po) by Marcin Owsiany
  * Romanian (ro.po) by Ioan Eugen Stan
  * Sinhala (si.po) by Danishka Navin
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 Nov 2011 20:21:27 +0100

localechooser (2.38) unstable; urgency=low

  [ Samuel Thibault ]
  * Switch espeakup language around language selection. Closes: #630477

  [ Colin Watson ]
  * Make sure to fail the build if isoquery fails for some reason.

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan
  * Macedonian (mk.po) by Arangel Angov

 -- Colin Watson <cjwatson@debian.org>  Fri, 29 Jul 2011 15:04:16 +0100

localechooser (2.37) unstable; urgency=low

  * Correct (again) name of Uyghur language (missing first letter)

 -- Christian Perrier <bubulle@debian.org>  Mon, 02 May 2011 20:56:36 +0200

localechooser (2.36) unstable; urgency=low

  * Correct name of Uyghur language

 -- Christian Perrier <bubulle@debian.org>  Sat, 30 Apr 2011 13:37:57 +0200

localechooser (2.35) unstable; urgency=low

  [ Christian Perrier ]
  * Activate Uyghur

  [ Samuel Thibault ]
  * localechooser: Set display level 0 for the Mach console.

  [ Colin Watson ]
  * Add post-base-installer.d/05localechooser to list of scripts to
    syntax-check.
  * Ensure that SUPPORTED-short never contains commented entries, even if
    /usr/share/i18n/SUPPORTED does.

 -- Christian Perrier <bubulle@debian.org>  Thu, 21 Apr 2011 20:06:03 +0200

=== debian/control ===
Source: localechooser
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org> 
Build-Depends: debhelper (>= 7.3.10), dpkg-dev (>= 1.9), locales, intltool-debian (>= 0.30+20040212), po-debconf, iso-codes, isoquery
Vcs-Browser: http://git.debian.org/?p=d-i/localechooser.git
Vcs-Git: git://git.debian.org/d-i/localechooser.git

Package: localechooser
XC-Package-Type: udeb
Architecture: any
Depends: cdebconf-udeb (>= 0.129)
XB-Installer-Menu-Item: ${menuitemnum}
Description: choose language/country/locale

## localechooser 2.39ubuntu2+6.0trisquel1

=== debian/changelog ===
localechooser (2.39ubuntu2+6.0trisquel1) toutatis; urgency=low

  * Added quz_PE and aym_PE locales

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 28 Jan 2013 19:39:19 +0000

localechooser (2.39ubuntu2) precise; urgency=low

  * Invert the set of locale categories set in case of a language/location
    conflict, so we now set LC_NUMERIC, LC_TIME, LC_MONETARY, LC_PAPER,
    LC_NAME, LC_ADDRESS, LC_TELEPHONE, LC_MEASUREMENT, and LC_IDENTIFICATION
    instead (LP: #926207).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Mar 2012 16:32:43 +0000

localechooser (2.39ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add a localechooser-data package containing lists useful for packages
      that create automatic installation scripts.
    - Always support English, unless preseeded otherwise.
    - Drop fallbacks for Norwegian Bokmål and Nynorsk.
    - Simplify use of locale-gen using the new command-line argument
      facility in Ubuntu's locales package.
    - Add encoding field to languagelist file and use the full SUPPORTED
      file rather than SUPPORTED-short.
    - If the language question was already marked as seen and the answer
      didn't change, then don't recalculate the locale.
    - If OVERRIDE_SHOW_ALL_LANGUAGES is set in the environment, display all
      languages regardless of frontend.
    - Cancel any locale preseeding if the user changes the language.
    - For cases where selecting a different location may imply a different
      dialect of the language, i.e. Portuguese and Chinese, take care to set
      LANG to something reflecting the location and
      LANGUAGE/LC_MESSAGES/LC_CTYPE/LC_COLLATE to something reflecting the
      language.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 27 Nov 2011 15:22:57 +0000

localechooser (2.38ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add a localechooser-data package containing lists useful for packages
      that create automatic installation scripts.
    - Always support English, unless preseeded otherwise.
    - Drop fallbacks for Norwegian Bokmål and Nynorsk.
    - Simplify use of locale-gen using the new command-line argument
      facility in Ubuntu's locales package.
    - Add encoding field to languagelist file and use the full SUPPORTED
      file rather than SUPPORTED-short.
    - If the language question was already marked as seen and the answer
      didn't change, then don't recalculate the locale.
    - If OVERRIDE_SHOW_ALL_LANGUAGES is set in the environment, display all
      languages regardless of frontend.
    - Cancel any locale preseeding if the user changes the language.
    - For cases where selecting a different location may imply a different
      dialect of the language, i.e. Portuguese and Chinese, take care to set
      LANG to something reflecting the location and
      LANGUAGE/LC_MESSAGES/LC_CTYPE/LC_COLLATE to something reflecting the
      language.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 23 Oct 2011 20:16:18 +0100

localechooser (2.37ubuntu2) oneiric; urgency=low

  * For cases where selecting a different location may imply a different
    dialect of the language, i.e. Portuguese and Chinese, take care to set
    LANG to something reflecting the location and
    LANGUAGE/LC_MESSAGES/LC_CTYPE/LC_COLLATE to something reflecting the
    language (LP: #590108).  This roughly matches the behaviour of
    language-selector.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 05 Oct 2011 23:27:33 +0100

localechooser (2.37ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add a localechooser-data package containing lists useful for packages
      that create automatic installation scripts.
    - Always support English, unless preseeded otherwise.
    - Drop fallbacks for Norwegian Bokmål and Nynorsk.
    - Simplify use of locale-gen using the new command-line argument
      facility in Ubuntu's locales package.
    - Add encoding field to languagelist file and use the full SUPPORTED
      file rather than SUPPORTED-short.
    - If the language question was already marked as seen and the answer
      didn't change, then don't recalculate the locale.
    - If OVERRIDE_SHOW_ALL_LANGUAGES is set in the environment, display all
      languages regardless of frontend.
    - Cancel any locale preseeding if the user changes the language.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 May 2011 00:04:37 +0100

=== debian/control ===
Source: localechooser
Section: debian-installer
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org> 
Build-Depends: debhelper (>= 7.3.10), dpkg-dev (>= 1.9), locales, intltool-debian (>= 0.30+20040212), po-debconf, iso-codes, isoquery
XS-Debian-Vcs-Browser: http://git.debian.org/?p=d-i/localechooser.git
XS-Debian-Vcs-Git: git://git.debian.org/d-i/localechooser.git
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/localechooser/ubuntu

Package: localechooser
XC-Package-Type: udeb
Architecture: any
Depends: cdebconf-udeb (>= 0.129)
XB-Installer-Menu-Item: ${menuitemnum}
Description: choose language/country/locale

Package: localechooser-data
Section: devel
Priority: optional
Architecture: all
Depends: iso-codes
Breaks: system-config-kickstart (<< 2.5.20-0ubuntu17)
Description: Lists of locales supported by the installer
 This package contains lists of languages, countries, and locales supported
 by the installer, for use by programs that create automatic installation
 scripts.
